Debian Bug report logs - #677897
ITP: ruby-http-parser -- high quality http parser library that can build request information iteratively

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Youhei SASAKI <uwabami@gfd-dennou.org>

Date: Sun, 17 Jun 2012 15:39:01 UTC

Owned by: Praveen Arimbrathodiyil <praveen@debian.org>

Severity: wishlist

Merged with 711039

Fixed in version ruby-http-parser/0.1.3-1

Done: Praveen Arimbrathodiyil <praveen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, uwabami@gfd-dennou.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#677897; Package wnpp. (Sun, 17 Jun 2012 15:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
New Bug report received and forwarded. Copy sent to uwabami@gfd-dennou.org, debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 17 Jun 2012 15:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-http-parser -- HTTP Parser Library for Ruby
Date: Mon, 18 Jun 2012 00:37:16 +0900
Package: wnpp
Owner: Youhei SASAKI <uwabami@gfd-dennou.org>
Severity: wishlist

* Package name    : ruby-http-parser
  Version         : 0.1.3
  Upstream Author : Graham Batty
* URL or Web page : http://github.com/stormbrew/http_parser
* License         : MIT
  Description     : HTTP Parser Library for Ruby

This library provides a (hopefully) high quality http parser library
that can build request information iteratively as data comes over the
line without requiring the caller to maintain the entire body of the
request as a single string in memory.

It will also have a full set of specs and a Ruby-native reference
library so that it can be used in implementations or environments that
do not support C extensions.

---
Youhei SASAKI <uwabami@gfd-dennou.org>
              <uwabami@debian.or.jp>
GPG fingerprint:
  4096/RSA: 66A4 EA70 4FE2 4055 8D6A C2E6 9394 F354 891D 7E07




Owner changed from Youhei SASAKI <uwabami@gfd-dennou.org> to Praveen Arimbrathodiyil <praveen@debian.org>. Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Tue, 04 Jun 2013 08:45:14 GMT) Full text and rfc822 format available.

Merged 677897 711039 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Tue, 04 Jun 2013 08:45:15 GMT) Full text and rfc822 format available.

Added indication that bug 677897 blocks 710044 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Tue, 04 Jun 2013 08:45:20 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 04 Jun 2013 20:06:16 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: ruby-http-parser -- high quality http parser library that can build request information iteratively' from 'ITP: ruby-http-parser -- HTTP Parser Library for Ruby' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Wed, 05 Jun 2013 06:36:05 GMT) Full text and rfc822 format available.

Removed indication that bug 677897 blocks 710044 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Wed, 12 Jun 2013 15:27:15 GMT) Full text and rfc822 format available.

Reply sent to Praveen Arimbrathodiyil <praveen@debian.org>:
You have taken responsibility. (Tue, 02 Jul 2013 12:03:21 GMT) Full text and rfc822 format available.

Notification sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug acknowledged by developer. (Tue, 02 Jul 2013 12:03:21 GMT) Full text and rfc822 format available.

Message #22 received at 677897-close@bugs.debian.org (full text, mbox):

From: Praveen Arimbrathodiyil <praveen@debian.org>
To: 677897-close@bugs.debian.org
Subject: Bug#677897: fixed in ruby-http-parser 0.1.3-1
Date: Tue, 02 Jul 2013 12:00:07 +0000
Source: ruby-http-parser
Source-Version: 0.1.3-1

We believe that the bug you reported is fixed in the latest version of
ruby-http-parser, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677897@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Praveen Arimbrathodiyil <praveen@debian.org> (supplier of updated ruby-http-parser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 04 Jun 2013 02:16:02 +0900
Source: ruby-http-parser
Binary: ruby-http-parser
Architecture: source all
Version: 0.1.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Praveen Arimbrathodiyil <praveen@debian.org>
Description: 
 ruby-http-parser - HTTP Parser Library for Ruby
Closes: 677897
Changes: 
 ruby-http-parser (0.1.3-1) unstable; urgency=low
 .
   * Team upload.
 .
   [ Youhei SASAKI ]
   * Initial release (Closes: #677897)
Checksums-Sha1: 
 c0c42f4951fd082e5bc087dcc9a4f5c32380f735 2109 ruby-http-parser_0.1.3-1.dsc
 b970b1522097c795cb7c7c3e5715c7deb20ba831 10129 ruby-http-parser_0.1.3.orig.tar.gz
 a1ab632ec60a086e9d002ea045bebb11ed696586 2660 ruby-http-parser_0.1.3-1.debian.tar.gz
 63d85f3d2c7115f7c936e0c71d2b119de52c3efe 7438 ruby-http-parser_0.1.3-1_all.deb
Checksums-Sha256: 
 11ae59aa2c0d94022fe21e6d4123c70a37133be277c57284f0ecafebc5c20ed1 2109 ruby-http-parser_0.1.3-1.dsc
 4c684595aa5590b435242209d6d21e6f956664814b35a76a0e63fa0cce2546d9 10129 ruby-http-parser_0.1.3.orig.tar.gz
 9dc09508a588468ce974fa20eaaccaa350bc9a8ef7269e4e1ee4a25994bb0e99 2660 ruby-http-parser_0.1.3-1.debian.tar.gz
 f3e8c65d3312d47d84f6abde5f44f44eb658270b8256e405f0921966398cc8f9 7438 ruby-http-parser_0.1.3-1_all.deb
Files: 
 83c85450d7c0aef6b023ba111f5467c1 2109 ruby optional ruby-http-parser_0.1.3-1.dsc
 1d66c9b3baeb3af88650dfc74267f6ea 10129 ruby optional ruby-http-parser_0.1.3.orig.tar.gz
 f5f7d2bb17d826c6c83aebdcec9c9e2c 2660 ruby optional ruby-http-parser_0.1.3-1.debian.tar.gz
 fc4eefc1e7cb9db057a6fc9d37ac4839 7438 ruby optional ruby-http-parser_0.1.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRrafqAAoJEM4fnGdFEsIqRi0P/Rnf44rMwMc1b00eRNTcthTM
1+o2WheM6/yqAt0Ma7MrcobDjyc0PCrU7VUWry73sdQDamGxdFLzzskn9kHhFWiz
yWPH/j8+9xBeyh3nXphvhxK7A7mQuYEODqufvIeXuBI6BWvcxB4olgWM6tT54Ogq
JMxpczgSbIfRpTIKjgfNMhZb/Zu3Ylw/BxgWNTg9pMdqt7aLaPI/FoNnbOZFCnot
9VRh3YfwmrdRNAK2c6e+pb2K12a9geCTF07TCRynXpAJZ1qnUbTsliHsqTTECTwd
Psa7JHruIk9gTEqTGq/ISUxGsyPNhYuJyRENYkmI7kZKXsTOi5U3XccB/FFpgMOv
li9ITylnpEd8/lAI+6KwcPXZoe+848LWaPLLYhDtspm8FvTRYz842FOanL3Ysrlk
CH33/nwVVSmnCmzZj/GHA24cWVKGtNC55FqslFTpGGt5UDOjWTcXQlJUJJfDGGmo
B1LyT2I3LzD4CxrQd39WMo6WnpcPrRXeOzBhNIv3sLzNnB+v96XvwZxj7ImrI0nC
p1f0t99IviYIdL5DmG86tzqrP5jQMpukcipOfNwkZaTxvi85tDGzoKpBV8n2tswR
0zfgFqD6yG7V0mhrVN+Fp1FADJ3h9TyNHjRoTTtXraD5aNvO4oW7h1EAHzlgn4Y5
scdLskiTbT4Dn2vCg8vT
=s5D+
-----END PGP SIGNATURE-----




Reply sent to Praveen Arimbrathodiyil <praveen@debian.org>:
You have taken responsibility. (Tue, 02 Jul 2013 12:03:22 GMT) Full text and rfc822 format available.

Notification sent to Praveen A <pravi.a@gmail.com>:
Bug acknowledged by developer. (Tue, 02 Jul 2013 12:03:22 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Jul 2013 07:31:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:00:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.